#ifndef __COMMANDTABLE_H__
#define __COMMANDTABLE_H__

#include "MessageTable.h"
#include "misc.h"




typedef struct _CommandTable CommandTable;

typedef enum {
	CT_DIR_FIRST_TO_LAST,
	CT_DIR_LAST_TO_FIRST
} _CT_Dir;




CommandTable* CommandTable_FromFile(FILE*, const MessageTable*);
void CommandTable_Del(CommandTable*);

void CommandTable_LookUpAndExecute
         (const CommandTable*, UINT, _Timing, WPARAM, LPARAM, _CT_Dir, int);




#endif
